<?php require_once('Connections/conn.php'); ?>
<?php
//***********************************************************************************************************************
// Nombre del Script: cargar_por_docente.php
// Descripciòn: Permite capturar los datos de la Unidad Curricular a la que el docente le cargara las calificaciones.
// Llamado desde: menu3.php
//***********************************************************************************************************************
session_start();
  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("pregrado_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="cargar_por_docente.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
	  }  

  if ($tipo_usuario!="3") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="cargar_por_docente.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  
	  
// Captura la c�dula del usuario inici� sesi�n.	  

$query_rstDocentes = "SELECT docentes.id_docente, docentes.apellidos,docentes.nombres FROM docentes where cedula='$cedula_usuario'";
$rstDocentes = mysql_query($query_rstDocentes, $conn) or die(mysql_error());
$row_rstDocentes = mysql_fetch_assoc($rstDocentes);
$totalRows_rstDocentes = mysql_num_rows($rstDocentes);
$id_docente=$row_rstDocentes['id_docente'];

mysql_select_db($database_conn, $conn);
$query_rstPeriodos = "SELECT  DISTINCT inscripciones.id_periodo, periodos.codigo, periodos.tipo FROM inscripciones,periodos WHERE inscripciones.id_docente='$id_docente' and inscripciones.id_periodo=periodos.id_periodo ORDER BY periodos.codigo desc";
$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);

mysql_select_db($database_conn, $conn);
$query_rstSecciones = "SELECT DISTINCT inscripciones.id_seccion FROM inscripciones WHERE inscripciones.id_docente='$id_docente'  ORDER BY inscripciones.id_seccion";
$rstSecciones = mysql_query($query_rstSecciones, $conn) or die(mysql_error());
$row_rstSecciones = mysql_fetch_assoc($rstSecciones);
$totalRows_rstSecciones = mysql_num_rows($rstSecciones);

// Valida si el docente está autorizado para cargar calificaciones en el histórico.	  
mysql_select_db($database_conn, $conn);
$sql_autorizaciones = "SELECT * FROM autorizaciones_carga WHERE id_docente='$id_docente'  ";
$rst_autorizaciones = mysql_query($sql_autorizaciones, $conn) or die(mysql_error());
$row_autorizaciones = mysql_fetch_assoc($rst_autorizaciones);
$total_row_autorizaciones = mysql_num_rows($rst_autorizaciones);



  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- carga de calificaciones</title>
<meta name="generator" http-equiv="content-type" content="text/html">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
<script src="jquery.min.js" type="text/javascript"></script>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

</head>

<script>
$(document).ready(function(){
	$("#id_carrera").change(function(){
		$.post("carga_materias_docente.php",{ id:$(this).val(),d:<?php echo $id_docente; ?> },function(data){$("#materia").html(data);})
	});
})
</script>

<script>
$(document).ready(function(){
	$("#periodo").change(function(){
		$.post("cargar_cortes.php",{ id:$(this).val()},function(data){$("#corte").html(data);})
	});
})
</script>

<script>
$(document).ready(function(){
	$("#materia").change(function(){
		$.post("carga_sedes_docente.php",{ id:$(this).val(),d:<?php echo $id_docente; ?>,c:document.form1.id_carrera.value,p:document.form1.periodo.value },function(data){$("#sede").html(data);})
	});
	$("#materia").change(function(){
		$.post("carga_secciones_docente.php",{ id:$(this).val(),d:<?php echo $id_docente; ?>,c:document.form1.id_carrera.value,p:document.form1.periodo.value  },function(data){$("#seccion").html(data);})
	});	
	$("#materia").change(function(){
		$.post("carga_turnos_docente.php",{ id:$(this).val(),d:<?php echo $id_docente; ?>,c:document.form1.id_carrera.value,p:document.form1.periodo.value },function(data){$("#turno").html(data);})	
	});
})
</script>

<body>

<?php

mysql_select_db($database_conn, $conn);
$query_carreras = "SELECT DISTINCT inscripciones.id_carrera, carreras.nombre_carrera FROM inscripciones,carreras WHERE inscripciones.id_docente='$id_docente' and inscripciones.id_carrera=carreras.id_carrera ORDER BY carreras.nombre_carrera";
$rst_carreras = mysql_query($query_carreras, $conn) or die(mysql_error());

$total_rows_carreras = mysql_num_rows($rst_carreras);  

if($total_rows_carreras >0)
{
    $array_areas = array();
	 $array_carreras = array();
	$code=0;
	while($carrera = mysql_fetch_assoc($rst_carreras))
		{
			$array_carreras[$code] = $carrera["id_carrera"];		
			$array_areas[$code]=  $carrera["nombre_carrera"];	
			$code += 1;
		}
}
			
?>

<table class="bd" width="100%" align="center"><tr><td class="hr"><h2>Carga de Calificaciones (Lapso Activo)</h2></td></tr></table>
<form id="form1" name="form1" method="post" >
  <table width="96%" style="border:1px solid #ccc;" align="center" id="carga" cellspacing="1" cellpadding="3" >
    
    <tr>
      <td width="74"><div align="right">Docente:</div></td>
      <td width="587" colspan="3"><select name="profesor" size="1" id="profesor">
        <?php
do {  
?>
        <option value="<?php echo $row_rstDocentes['id_docente']?>"><?php echo $row_rstDocentes['apellidos'].' '.$row_rstDocentes['nombres']?></option>
        <?php
} while ($row_rstDocentes = mysql_fetch_assoc($rstDocentes));
  $rows = mysql_num_rows($rstDocentes);
  if($rows > 0) {
      mysql_data_seek($rstDocentes, 0);
	  $row_rstDocentes = mysql_fetch_assoc($rstDocentes);
  }
?>
      </select> 
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Lapso: 
        <select name="periodo" id="periodo">
		 <option value="0">SELECCIONE...</option>
          <?php
do {  
?>
          <option value="<?php echo $row_rstPeriodos['id_periodo']?>-<?php echo $row_rstPeriodos['tipo']?>"><?php echo $row_rstPeriodos['codigo']?>&nbsp;(<?php echo $row_rstPeriodos['tipo']?>)</option>
          <?php
} while ($row_rstPeriodos = mysql_fetch_assoc($rstPeriodos));
  $rows = mysql_num_rows($rstPeriodos);
  if($rows > 0) {
      mysql_data_seek($rstPeriodos, 0);
	  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  }
?>
        </select></td>
    </tr>
    <tr>
      <td><div align="right">Carrera:</div></td>
      <td colspan="3"><select name="id_carrera" id="id_carrera" style="width:580px">
        <option selected value="0">SELECCIONE...</option>
        <?php
			for($i=0;$i<count($array_areas);$i++) {
			  echo "<option value=".$array_carreras[$i].">".$array_areas[$i].' (CÓDIGO: '.$array_carreras[$i].")"."</option>" ;
			}
			?>
      </select></td>
    </tr>
    <tr>
      <td><div align="right">Unidad Curricular:</div></td>
      <td colspan="3"><label>
          <div align="left">
            <select name="materia" id="materia" style="width:580px">
              <option value="0">SELECCIONE...</option>
            </select>
          </div>
        </label></td>
    </tr>
    
    <tr>
      <td><div align="right">Sede:</div></td>
      <td colspan="3"><select name="sede" id="sede">
        <option value="0">SELECCIONE...</option>
      </select>
      &nbsp;&nbsp;Sección:
      <select name="seccion" id="seccion">
        <option value="0">SELECCIONE...</option>
      </select>
&nbsp;&nbsp;Turno:
<select name="turno" id="turno">
  <option value="0">SELECCIONE...</option>
</select>
&nbsp;&nbsp;</td>
    </tr>
    <tr>
      <td><div align="right">Carga:</div></td>
      <td colspan="3"><select name="corte" id="corte">
        <option value="0">SELECCIONE...</option>
      </select></td>
    </tr>
    
    <tr>
      <td colspan="4"><div align="center">
        <label>
		
		<input name="Enviar" type="Button" id="Enviar" value="Registrar" onClick="return validar_datos(document.form1.corte.value)" >
        </label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
</script>
<script type="text/javascript">
	function validar_datos(corte)
	{
	  var posicion=document.form1.periodo.value.indexOf('-');
	  var periodo= document.form1.periodo.value.substring(0,posicion)
	  var tipo_periodo= document.form1.periodo.value.substring(posicion+1)
	
	 
	  if(document.form1.periodo.value==0){
			alert("El campo <<Lapso>> es obligatorio");
			document.form1.periodo.focus();
			return false;
			}
	 if(document.form1.seccion.value==0){
			alert("El campo <<Sección>> es obligatorio");
			document.form1.seccion.focus();
			return false;
			}
	 if(document.form1.sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.sede.focus();
			return false;
			}
	 if(document.form1.id_carrera.value==0){
			alert("El campo <<Programa>> es obligatorio");
			document.form1.id_carrera.focus();
			return false;
			}
	 if(document.form1.materia.value==0){
			alert("El campo <<Unidad Curricular>> es obligatorio");
			document.form1.materia.focus();
			return false;
			}
	 if(document.form1.corte.value==0){
			alert("El campo <<Carga>> es obligatorio");
			document.form1.materia.focus();
			return false;
			}
	 
	 if(corte=='1'){
		window.document.location="cargar_corte1.php?profesor="+document.form1.profesor.value+"&periodo="+periodo+"&seccion="+document.form1.seccion.value+"&sede="+document.form1.sede.value+"&materia="+document.form1.materia.value+"&carrera="+document.form1.id_carrera.value+"&turno="+document.form1.turno.value+"&mostrar_msj=S"+"&a=reset";
	  }
	  
	 if(corte=='2'){
		if(tipo_periodo=='INTENSIVO'){ 
           window.document.location="cargar_corte2.php?profesor="+document.form1.profesor.value+"&periodo="+periodo+"&seccion="+document.form1.seccion.value+"&sede="+document.form1.sede.value+"&materia="+document.form1.materia.value+"&carrera="+document.form1.id_carrera.value+"&turno="+document.form1.turno.value+"&mostrar_msj=S"+"&a=reset";
		}
		else{ 
			window.document.location="cargar_corte3.php?profesor="+document.form1.profesor.value+"&periodo="+periodo+"&seccion="+document.form1.seccion.value+"&sede="+document.form1.sede.value+"&materia="+document.form1.materia.value+"&carrera="+document.form1.id_carrera.value+"&turno="+document.form1.turno.value+"&mostrar_msj=S"+"&a=reset";
		}
	 }		
	
	 if(corte=='3'){
		window.document.location="cargar_corte4.php?profesor="+document.form1.profesor.value+"&periodo="+periodo+"&seccion="+document.form1.seccion.value+"&sede="+document.form1.sede.value+"&materia="+document.form1.materia.value+"&carrera="+document.form1.id_carrera.value+"&turno="+document.form1.turno.value+"&mostrar_msj=S"+"&a=reset";
	 }			

}
</script>

 <?php
mysql_free_result($rstDocentes);

mysql_free_result($rstPeriodos);

mysql_free_result($rstSecciones);
mysql_free_result($rst_carreras);

?>

<script type="text/javascript">
 function cargar_notas(profesor,periodo,seccion,sede,materia,carrera,turno)
  {
    window.document.location="cargar_corte1.php?profesor="+profesor+"&periodo="+periodo+"&seccion="+seccion+"&sede="+sede+"&materia="+materia+"&carrera="+carrera+"&turno="+turno+"&a=reset";
   }
</script>

<?php
function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
  ?>